javax.swing.plaf.basic

## Class BasicScrollBarUI.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicScrollBarUI.PropertyChangeHandler

- All Implemented Interfaces:
    PropertyChangeListener, EventListener
  Enclosing class:
    BasicScrollBarUI

      public class BasicScrollBarUI.PropertyChangeHandler
      extends Object
      implements PropertyChangeListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicScrollBarUI.PropertyChangeHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicScrollBarUI.PropertyChangeHandler

          public BasicScrollBarUI.PropertyChangeHandler()

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent e)

      Description copied from interface: `PropertyChangeListener`
      This method gets called when a bound property is changed.
      Specified by:
        `propertyChange` in interface `PropertyChangeListener`
      Parameters:
        `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.